Tspi_TPM_GetTestResult(3)

NAME
Tspi_TPM_GetTestResult- get manufacturer specific information regarding the results of a self test.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_GetTestResult(TSS_HTPM hTPM, UINT32* pulTestResultLength, BYTE** prgbTestResult);

DESCRIPTION

Tspi_TPM_GetTestResult is provided by a manufacturer of a TPM to provide manufacturer specific self test results.

PARAMETERS

  hTPM
Handle of the TPM object

  pulTestREsultLength
Receives the length (in bytes) of the prgbTestResult parameter

  prgbTestResult
Pointer to the memory block containing the TPM manufacturer specific information.

RETURN CODES

Tspi_TPM_GetTestResult returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle to the TPM object.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_GetTestResult conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_SelfTestFull(3).